// Welcome!  This is a dynamically generated listing of as many episodes as I
// find, maintained by a different person than the main page. Contact me (Evert) at the email
// evert@lunasqu.ee with any inqueries.
//
// This page is generated from a number of dailymotion channels which regularly
// post mlp episodes.  An algorithm is used to pick out the relevant episodes as
// well as some basic information about them.  Some episodes are also selected
// by hand and included.
//
// If you are intrested in the server-side source code, shoot me an email and I
// can send it to you, though be warned -- it isn't exactly neat or well
// documented.
//
// If you host episodes on your own dailymotion channel or run a listing that
// you would like included in the algorith, please contact me and I will add you
// to the list.
console.log("%cAlso, a dynamic listing created from several sources ----->", "font-size:15px;");
console.log("For more information, see http://tsa6.us.to/mlptkeps, contact evert@lunasqu.ee, or look at the comments in the source.");

//Episode Listing:
episodes = [
    [
        {
            "title": "Friendship is Magic - Part 1",
            "dailymotion": "//www.dailymotion.com/video/x3syjbp",
            "available": true
        },
        {
            "title": "Friendship is Magic - Part 2",
            "dailymotion": "//www.dailymotion.com/video/xv3o78",
            "available": true
        },
        {
            "title": "The Ticket Master",
            "dailymotion": "//www.dailymotion.com/video/x3thnjx",
            "available": true
        },
        {
            "title": "Applebuck Season",
            "dailymotion": "//www.dailymotion.com/video/x3thnjy",
            "available": true
        },
        {
            "title": "Griffon the Brush Off",
            "dailymotion": "//www.dailymotion.com/video/x3thnjz",
            "available": true
        },
        {
            "title": "Boast Busters",
            "dailymotion": "//www.dailymotion.com/video/x3thnk0",
            "available": true
        },
        {
            "title": "Dragonshy",
            "dailymotion": "//www.dailymotion.com/video/x3thnk1",
            "available": true
        },
        {
            "title": "Look Before You Sleep",
            "dailymotion": "//www.dailymotion.com/video/x3vcf37",
            "available": true
        },
        {
            "title": "Bridle Gossip",
            "dailymotion": "//www.dailymotion.com/video/x3vcf38",
            "available": true
        },
        {
            "title": "Swarm of the Century",
            "dailymotion": "//www.dailymotion.com/video/x3vcf39",
            "available": true
        },
        {
            "title": "Winter Wrap Up",
            "dailymotion": "//www.dailymotion.com/video/x3vcf3a",
            "available": true
        },
        {
            "title": "Call of the Cutie",
            "dailymotion": "//www.dailymotion.com/video/x3vcf3b",
            "available": true
        },
        {
            "title": "Fall Weather Friends",
            "dailymotion": "//www.dailymotion.com/video/x3w2lfn",
            "available": true
        },
        {
            "title": "Suited for Success",
            "dailymotion": "//www.dailymotion.com/video/x3w2lfq",
            "available": true
        },
        {
            "title": "Feeling Pinkie Keen",
            "dailymotion": "//www.dailymotion.com/video/x3w2lfr",
            "available": true
        },
        {
            "title": "Sonic Rainboom",
            "dailymotion": "//www.dailymotion.com/video/x3w2lfs",
            "available": true
        },
        {
            "title": "Stare Master",
            "dailymotion": "//www.dailymotion.com/video/x3w2lft",
            "available": true
        },
        {
            "title": "The Show Stoppers",
            "dailymotion": "//www.dailymotion.com/video/x3ysro9",
            "available": true
        },
        {
            "title": "A Dog and Pony Show",
            "dailymotion": "//www.dailymotion.com/video/x3ysrod",
            "available": true
        },
        {
            "title": "Green Isn't Your Color",
            "dailymotion": "//www.dailymotion.com/video/x3ysrog",
            "available": true
        },
        {
            "title": "Over a Barrel",
            "dailymotion": "//www.dailymotion.com/video/x3ysroj",
            "available": true
        },
        {
            "title": "A Bird in the Hoof",
            "dailymotion": "//www.dailymotion.com/video/x3ysrom",
            "available": true
        },
        {
            "title": "The Cutie Mark Chronicles",
            "dailymotion": "//www.dailymotion.com/video/x3z34hz",
            "available": true
        },
        {
            "title": "Owl's Well That Ends Well",
            "dailymotion": "//www.dailymotion.com/video/x3z34i0",
            "available": true
        },
        {
            "title": "Party of One",
            "dailymotion": "//www.dailymotion.com/video/x3z34i2",
            "available": true
        },
        {
            "title": "The Best Night Ever",
            "dailymotion": "//www.dailymotion.com/video/x3z34i5",
            "available": true
        }
    ],
    [
        {
            "title": "The Return of Harmony - Part 1",
            "dailymotion": "//www.dailymotion.com/video/x3nferb",
            "available": true
        },
        {
            "title": "The Return of Harmony - Part 2",
            "dailymotion": "//www.dailymotion.com/video/x2drdtm",
            "available": true
        },
        {
            "title": "Lesson Zero",
            "dailymotion": "//www.dailymotion.com/video/x3nferz",
            "available": true
        },
        {
            "title": "Luna Eclipsed",
            "dailymotion": "//www.dailymotion.com/video/x3nfes5",
            "available": true
        },
        {
            "title": "Sisterhooves Social",
            "dailymotion": "//www.dailymotion.com/video/x2dsviw",
            "available": true
        },
        {
            "title": "The Cutie Pox",
            "dailymotion": "//www.dailymotion.com/video/x3nuvs0",
            "available": true
        },
        {
            "title": "May the Best Pet Win!",
            "dailymotion": "//www.dailymotion.com/video/x3nuvtb",
            "available": true
        },
        {
            "title": "The Mysterious Mare Do Well",
            "dailymotion": "//www.dailymotion.com/video/x3nuvtd",
            "available": true
        },
        {
            "title": "Sweet and Elite",
            "dailymotion": "//www.dailymotion.com/video/x3nuvte",
            "available": true
        },
        {
            "title": "Secret of My Excess",
            "dailymotion": "//www.dailymotion.com/video/x3nuvtg",
            "available": true
        },
        {
            "title": "Hearth's Warming Eve",
            "dailymotion": "//www.dailymotion.com/video/x2duq0j",
            "available": true
        },
        {
            "title": "Family Appreciation Day",
            "dailymotion": "//www.dailymotion.com/video/x3p2jkp",
            "available": true
        },
        {
            "title": "Baby Cakes",
            "dailymotion": "//www.dailymotion.com/video/x3p2jkq",
            "available": true
        },
        {
            "title": "The Last Roundup",
            "dailymotion": "//www.dailymotion.com/video/x3p2jkr",
            "available": true
        },
        {
            "title": "Super Speedy Cider Squeezy 6000",
            "dailymotion": "//www.dailymotion.com/video/x3p2jks",
            "available": true
        },
        {
            "title": "Read It and Weep",
            "dailymotion": "//www.dailymotion.com/video/x3rngwu",
            "available": true
        },
        {
            "title": "Hearts and Hooves Day",
            "dailymotion": "//www.dailymotion.com/video/x4h818o",
            "available": true
        },
        {
            "title": "A Friend in Deed",
            "dailymotion": "//www.dailymotion.com/video/x3rngww",
            "available": true
        },
        {
            "title": "Putting Your Hoof Down",
            "dailymotion": "//www.dailymotion.com/video/x3rngwx",
            "available": true
        },
        {
            "title": "It's About Time",
            "dailymotion": "//www.dailymotion.com/video/x3rngwy",
            "available": true
        },
        {
            "title": "Dragon Quest",
            "dailymotion": "//www.dailymotion.com/video/x3s3w8b",
            "available": true
        },
        {
            "title": "Hurricane Fluttershy",
            "dailymotion": "//www.dailymotion.com/video/x3s3w8c",
            "available": true
        },
        {
            "title": "Ponyville Confidential",
            "dailymotion": "//www.dailymotion.com/video/x3s3w8d",
            "available": true
        },
        {
            "title": "MMMystery on the Friendship Express ",
            "dailymotion": "//www.dailymotion.com/video/x10zkem",
            "available": true
        },
        {
            "title": "A Canterlot Wedding - Part 1",
            "dailymotion": "//www.dailymotion.com/video/x3h0quv",
            "available": true
        },
        {
            "title": "A Canterlot Wedding - Part 2",
            "dailymotion": "//www.dailymotion.com/video/x10zkff",
            "available": true
        }
    ],
    [
        {
            "title": "The Crystal Empire - Part 1",
            "dailymotion": "//www.dailymotion.com/video/x3h0qze",
            "available": true
        },
        {
            "title": "The Crystal Empire - Part 2",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Too Many Pinkie Pies",
            "dailymotion": "//www.dailymotion.com/video/x3kgows",
            "available": true
        },
        {
            "title": "One Bad Apple",
            "dailymotion": "//www.dailymotion.com/video/x3kgowu",
            "available": true
        },
        {
            "title": "Magic Duel",
            "dailymotion": "//www.dailymotion.com/video/x3kgoww",
            "available": true
        },
        {
            "title": "Sleepless in Ponyville",
            "dailymotion": "//www.dailymotion.com/video/x11arm1",
            "available": true
        },
        {
            "title": "Wonderbolts Academy",
            "dailymotion": "//www.dailymotion.com/video/x3kwymi",
            "available": true
        },
        {
            "title": "Apple Family Reunion",
            "dailymotion": "//www.dailymotion.com/video/x3kwymk",
            "available": true
        },
        {
            "title": "Spike at Your Service",
            "dailymotion": "//www.dailymotion.com/video/x3kwyml",
            "available": true
        },
        {
            "title": "Keep Calm and Flutter On",
            "dailymotion": "//www.dailymotion.com/video/x3kwymn",
            "available": true
        },
        {
            "title": "Just for Sidekicks",
            "dailymotion": "//www.dailymotion.com/video/x3l5omj",
            "available": true
        },
        {
            "title": "Games Ponies Play",
            "dailymotion": "//www.dailymotion.com/video/x3l5oml",
            "available": true
        },
        {
            "title": "Magical Mystery Cure",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        }
    ],
    [
        {
            "title": "Princess Twilight Sparkle - Part 1",
            "dailymotion": "//www.dailymotion.com/video/x4hyzil",
            "available": true
        },
        {
            "title": "Princess Twilight Sparkle - Part 2",
            "dailymotion": "//www.dailymotion.com/video/x25wqze",
            "available": true
        },
        {
            "title": "Castle Mane-ia",
            "dailymotion": "//www.dailymotion.com/video/x3irf8m",
            "available": true
        },
        {
            "title": "Daring Don't",
            "dailymotion": "//www.dailymotion.com/video/x3irf8s",
            "available": true
        },
        {
            "title": "Flight to the Finish",
            "dailymotion": "//www.dailymotion.com/video/x3irf8w",
            "available": true
        },
        {
            "title": "Power Ponies",
            "dailymotion": "//www.dailymotion.com/video/x3ixwti",
            "available": true
        },
        {
            "title": "Bats!",
            "dailymotion": "//www.dailymotion.com/video/x3ixwtx",
            "available": true
        },
        {
            "title": "Rarity Takes Manehattan",
            "dailymotion": "//www.dailymotion.com/video/x3ixwuc",
            "available": true
        },
        {
            "title": "Pinkie Apple Pie",
            "dailymotion": "//www.dailymotion.com/video/x19m4g4",
            "available": true
        },
        {
            "title": "Rainbow Falls",
            "dailymotion": "//www.dailymotion.com/video/x3ixwut",
            "available": true
        },
        {
            "title": "Three's a Crowd",
            "dailymotion": "//www.dailymotion.com/video/x3j57yc",
            "available": true
        },
        {
            "title": "Pinkie Pride",
            "dailymotion": "//www.dailymotion.com/video/x3j57zc",
            "available": true
        },
        {
            "title": "Simple Ways",
            "dailymotion": "//www.dailymotion.com/video/x3j57zg",
            "available": true
        },
        {
            "title": "Filli Vanilli",
            "dailymotion": "//www.dailymotion.com/video/x3j57zn",
            "available": true
        },
        {
            "title": "Twilight Time",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "It Ain't Easy Being Breezies",
            "dailymotion": "//www.dailymotion.com/video/x3ja12y",
            "available": true
        },
        {
            "title": "Somepony to Watch Over Me",
            "dailymotion": "//www.dailymotion.com/video/x3jf2ps",
            "available": true
        },
        {
            "title": "Maud Pie",
            "dailymotion": "//www.dailymotion.com/video/x2cdy7d",
            "available": true
        },
        {
            "title": "For Whom the Sweetie Belle Toils",
            "dailymotion": "//www.dailymotion.com/video/x3jf2qz",
            "available": true
        },
        {
            "title": "Leap of Faith",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Testing, Testing, 1, 2, 3",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Trade Ya",
            "dailymotion": "//www.dailymotion.com/video/x3jqk2v",
            "available": true
        },
        {
            "title": "Inspiration Manifestation",
            "dailymotion": "//www.dailymotion.com/video/x3jqk3j",
            "available": true
        },
        {
            "title": "Equestria Games",
            "dailymotion": "//www.dailymotion.com/video/x3jqk58",
            "available": true
        },
        {
            "title": "Twilight's Kingdom - Part 1",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Twilight's Kingdom - Part 2",
            "dailymotion": "//www.dailymotion.com/video/x2fykm4",
            "available": true
        }
    ],
    [
        {
            "title": "The Cutie Map - Part 1",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "The Cutie Map - Part 2",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Castle Sweet Castle",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Bloom and Gloom",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Thanks for the Memories",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Appleoosa\u2019s Most Wanted",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Make New Friends But Keep Discord",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "The Lost Treasure of Griffonstone",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Slice of Life",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Princess Spike",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Party Pooped",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Amending Fences",
            "dailymotion": "//www.dailymotion.com/video/x2wnaot",
            "available": true
        },
        {
            "title": "Do Princesses Dream of Magic Sheep",
            "dailymotion": "//www.dailymotion.com/video/x2xtnng",
            "available": true
        },
        {
            "title": "Canterlot Boutique",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Rarity Investigates!",
            "dailymotion": "//www.dailymotion.com/video/x38j0fi",
            "available": true
        },
        {
            "title": "Made in Manehattan",
            "dailymotion": "//www.dailymotion.com/video/x3f1l8y",
            "available": true
        },
        {
            "title": "Brotherhooves Social",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Crusaders of the Lost Mark",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "The One Where Pinkie Pie Knows",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Hearthbreakers",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Scare-Master",
            "dailymotion": "//www.dailymotion.com/video/x3bsxac",
            "available": true
        },
        {
            "title": "What About Discord",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "The Hooffields and McColts",
            "dailymotion": "//www.dailymotion.com/video/x3e1f0l",
            "available": true
        },
        {
            "title": "The Mane Attraction",
            "dailymotion": "//www.dailymotion.com/video/x3ezfw0",
            "available": true
        },
        {
            "title": "Cutie Re-Mark - Part 1",
            "dailymotion": "//www.dailymotion.com/video/x3getr1",
            "available": true
        },
        {
            "title": "Cutie Re-Mark - Part 2",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        }
    ],
    [
        {
            "title": "The Crystalling - Part 1",
            "dailymotion": "//www.dailymotion.com/video/x40aup5",
            "available": true
        },
        {
            "title": "The Crystalling - Part 2",
            "dailymotion": "//www.dailymotion.com/video/x40g2n1",
            "available": true
        },
        {
            "title": "The Gift of the Maud Pie",
            "dailymotion": "//www.dailymotion.com/video/x41pgow",
            "available": true
        },
        {
            "title": "On Your Marks",
            "dailymotion": "//www.dailymotion.com/video/x43fzs1",
            "available": true
        },
        {
            "title": "Gauntlet of Fire",
            "dailymotion": "//www.dailymotion.com/video/x453h07",
            "available": true
        },
        {
            "title": "No Second Prances",
            "dailymotion": "//www.dailymotion.com/video/x482b93",
            "available": true
        },
        {
            "title": "Newbie Dash",
            "dailymotion": "//www.dailymotion.com/video/x497vee",
            "available": true
        },
        {
            "title": "A Hearth's Warming Tail",
            "dailymotion": "//www.dailymotion.com/video/x4algkv",
            "available": true
        },
        {
            "title": "The Saddle Row Review",
            "dailymotion": "//www.dailymotion.com/video/x4c14aw",
            "available": true
        },
        {
            "title": "Applejack's \"Day\" Off",
            "dailymotion": "//www.dailymotion.com/video/x4dbsn1",
            "available": true
        },
        {
            "title": "Flutter Brutter",
            "dailymotion": "//www.dailymotion.com/video/x4el9nu",
            "available": true
        },
        {
            "title": "Spice Up Your Life",
            "dailymotion": "//www.dailymotion.com/video/x4fybmg",
            "available": true
        },
        {
            "title": "Stranger Than Fan Fiction",
            "dailymotion": "//www.dailymotion.com/video/x4mjj85",
            "available": true
        },
        {
            "title": "The Cart Before the Ponies",
            "dailymotion": "//www.dailymotion.com/video/x59tp9i",
            "available": true
        },
        {
            "title": "28 Pranks Later",
            "dailymotion": "//www.dailymotion.com/video/x4oosal",
            "available": true
        },
        {
            "title": "The Times They Are a Changeling",
            "dailymotion": "//www.dailymotion.com/video/x4plsa8",
            "available": true
        },
        {
            "title": "Dungeons & Discords",
            "dailymotion": "//www.dailymotion.com/video/x4qohww",
            "available": true
        },
        {
            "title": "Buckball Season",
            "dailymotion": "//www.dailymotion.com/video/x4rsnah",
            "available": true
        },
        {
            "title": "The Fault in Our Cutie Marks",
            "dailymotion": "//www.dailymotion.com/video/x4sulgi",
            "available": true
        },
        {
            "title": "Viva Las Pegasus",
            "dailymotion": "//www.dailymotion.com/video/x4todiu",
            "available": true
        },
        {
            "title": "Every Little Thing She Does",
            "dailymotion": "//www.dailymotion.com/video/x4ul4tz",
            "available": true
        },
        {
            "title": "P.P.O.V. (Pony Point of View)",
            "dailymotion": "//www.dailymotion.com/video/x4vnoq2",
            "available": true
        },
        {
            "title": "Where the Apple Lies",
            "dailymotion": "//www.dailymotion.com/video/x5mplkn",
            "available": true
        },
        {
            "title": "Top Bolt",
            "dailymotion": "//www.dailymotion.com/video/x4xd1fi",
            "available": true
        },
        {
            "title": "To Where and Back Again - Part 1",
            "dailymotion": "//www.dailymotion.com/video/x4yo7al",
            "available": true
        },
        {
            "title": "To Where and Back Again - Part 2",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        }
    ],
    [
        {
            "title": "Celestial Advice",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "All Bottled Up",
            "dailymotion": "//www.dailymotion.com/video/x5ifdyt",
            "available": true
        },
        {
            "title": "A Flurry of Emotions",
            "dailymotion": "//www.dailymotion.com/video/x5jcfjw",
            "available": true
        },
        {
            "title": "Rock Solid Friendship",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Fluttershy Leans In",
            "dailymotion": "//www.dailymotion.com/video/x5lai79",
            "available": true
        },
        {
            "title": "Forever Filly",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Parental Glideance",
            "dailymotion": "//www.dailymotion.com/video/x5n7hne",
            "available": true
        },
        {
            "title": "Hard to Say Anything",
            "dailymotion": "//www.dailymotion.com/video/x5o631v",
            "available": true
        },
        {
            "title": "Honest Apple",
            "dailymotion": "//www.dailymotion.com/video/x5p1f87",
            "available": true
        },
        {
            "title": "A Royal Problem",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Not Asking for Trouble",
            "dailymotion": "//www.dailymotion.com/video/x5r2rcf",
            "available": true
        },
        {
            "title": "Discordant Harmony",
            "dailymotion": "//www.dailymotion.com/video/x5w3azj",
            "available": true
        },
        {
            "title": "The Perfect Pear",
            "dailymotion": "//www.dailymotion.com/video/x5w3d3z",
            "available": true
        },
        {
            "title": "Fame and Misfortune",
            "dailymotion": "//www.dailymotion.com/video/NotAvailable",
            "available": false
        },
        {
            "title": "Triple Threat",
            "dailymotion": "//www.dailymotion.com/video/x5xf58q",
            "available": true
        },
        {
            "title": "Campfire Tales",
            "dailymotion": "//www.dailymotion.com/video/x5ye3nl",
            "available": true
        },
        {
            "title": "Daring Done",
            "dailymotion": "//www.dailymotion.com/video/x607x2m",
            "available": true
        },
        {
            "title": "It Isn't the Mane Thing About You",
            "dailymotion": "//www.dailymotion.com/video/x611xle",
            "available": true
        },
        {
            "title": "A Health of Information",
            "dailymotion": "//www.dailymotion.com/video/x61ti6o",
            "available": true
        },
        {
            "title": "Marks and Recreation",
            "dailymotion": "//www.dailymotion.com/video/x62rl1v",
            "available": true
        },
        {
            "title": "Once Upon a Zeppelin",
            "dailymotion": "//www.dailymotion.com/video/x63qhug",
            "available": true
        },
        {
            "title": "Secrets and Pies",
            "dailymotion": "//www.dailymotion.com/video/x64nhxg",
            "available": true
        },
        {
            "title": "Uncommon Bond",
            "dailymotion": "//www.dailymotion.com/video/x65orpc",
            "available": true
        },
        {
            "title": "Shadow Play, Part I",
            "dailymotion": "//www.dailymotion.com/video/x66r9jp",
            "available": true
        },
        {
            "title": "Shadow Play, Part II",
            "dailymotion": "//www.dailymotion.com/video/x66r9jp",
            "available": true
        }
    ],
    [
        {
            "title": "School Daze - Part 1",
            "dailymotion": "//www.dailymotion.com/video/x6gsvg8",
            "available": true
        },
        {
            "title": "School Daze - Part 2",
            "dailymotion": "//www.dailymotion.com/video/x6gsvk9",
            "available": true
        }
    ]
];

// Randomization function that won't return an unavailable episode
// Note:  Each season is equally weighted, and each episode within the selected
// season, but episodes in different seasons have different probabilities of
// being selected.
function random_episode() {
    var season_s = Math.floor(Math.random() * (episodes.length)) + 1;
    var episode = Math.floor(Math.random() * (episodes[season_s - 1].length)) + 1;
    return episodes[season_s - 1][episode - 1].available ? videoPopper(season_s, episode) : random_episode();
}

//Creates "missing episode" frame by modifying the openEpisode function
var missingFrame = document.createElement("iframe");
missingFrame.style.height = "100%";
missingFrame.style.width = "100%";
missingFrame.style.display = "none";
missingFrame.style.border = "0";
missingFrame.class = "video";
innerCont = document.body.getElementsByClassName("inner-cont")[0];
innerCont.insertBefore(missingFrame, innerCont.getElementsByClassName("controls")[0]);
function openEpisode(viddata) {
    epTitle=document.querySelector('[data-episode-number="' + viddata.episode + '"][data-episode-season="' + viddata.season + '"]').attributes['data-episode'].value || viddata.title
    dmVideo = document.getElementById("DMVideo");
    $('.episodetitle').text(epTitle);
    if (episodes[viddata.season - 1][viddata.episode - 1].available) {
        dmVideo.style.display = "inline";
        missingFrame.style.display = "none";
        player = DM.player(dmVideo, {
            video: viddata.embed.replace("//www.dailymotion.com/embed/video/", ""),
            width: "100%",
            height: "100%",
            params: {
                autoplay: true
            }
        });
    } else {
        //missingFrame.src = "https://tsa6.tk/webapps/mlptkeps/missing?" + viddata.season + "x" + viddata.episode;
        missingFrame.src = "https://mlp.icynet.eu/MissingResponse.html?" + viddata.season + "x" + viddata.episode;
        dmVideo.style.display = "none";
        missingFrame.style.display = "initial";
    }
    $('.vidplayerpopup').fadeIn('fast');
    window.episodeMeta = viddata;
}

//Make sure that episodes listed as unreleased on the main site are marked as released
document.addEventListener("DOMContentLoaded", function(event) { 
    var unreleasedEpisodes = document.getElementsByClassName("mlpepisode_new");
    for(var i = 0; i < unreleasedEpisodes.length; i++) {
        var ep = unreleasedEpisodes[i];
        if(episodes[ep.getAttribute("data-episode-season") - 1]) {
            if(episodes[ep.getAttribute("data-episode-season") - 1][ep.getAttribute("data-episode-number") - 1]) {
                ep.classList.remove("mlpepisode_new");
                ep.classList.add("mlpepisode")
                ep.onclick = function() {
                    openEpisode(videoPopper($(this).data("episode-season"), $(this).data("episode-number")));
                    return false;
                }
        i--;
            }
        }
    }
})
